classification
Title: LoggerAdapter objects cannot be nested
Type: behavior Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: lukasz.langa Nosy List: Mariatta, lukasz.langa, vinay.sajip
Priority: normal Keywords: patch

Created on 2017-09-13 20:15 by lukasz.langa, last changed 2018-04-22 22:00 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3551 merged lukasz.langa, 2017-09-13 20:35
PR 3576 merged python-dev, 2017-09-14 15:35
PR 4042 merged lukasz.langa, 2017-10-18 23:52
PR 4043 merged python-dev, 2017-10-19 00:30
PR 4044 merged lukasz.langa, 2017-10-19 02:10
PR 4050 merged python-dev, 2017-10-19 17:32
PR 6568 merged miss-islington, 2018-04-22 21:52
Messages (8)
msg302111 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-09-13 20:15
LoggerAdapter objects cannot be nested in Python 3 due to their `log()` and `isEnabledFor()` methods addressing attributes that are not present on the proxy.

Adding the missing attributes fixes the issue.
msg302175 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-09-14 15:34
New changeset 1bbd482bcf6ea36bfe488f868810ffe110238ae1 by Łukasz Langa in branch 'master':
bpo-31457: Allow for nested LoggerAdapter objects (#3551)
https://github.com/python/cpython/commit/1bbd482bcf6ea36bfe488f868810ffe110238ae1
msg302182 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-09-14 17:10
New changeset 20fa05d0223101b8e0005525b94a2eac892348de by Łukasz Langa (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31457: Allow for nested LoggerAdapter objects (GH-3551) (#3576)
https://github.com/python/cpython/commit/20fa05d0223101b8e0005525b94a2eac892348de
msg304598 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-10-19 00:28
New changeset 0b6a118a45ac2eded1348fea6ed300d5651f7471 by Łukasz Langa in branch 'master':
bpo-31457: Make the `LoggerAdapter.manager` property settable (#4042)
https://github.com/python/cpython/commit/0b6a118a45ac2eded1348fea6ed300d5651f7471
msg304599 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-10-19 01:03
New changeset 537ed75291ed8a640887f199f98e2e5076ef87b6 by Łukasz Langa (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31457: Make the `LoggerAdapter.manager` property settable (GH-4042) (#4043)
https://github.com/python/cpython/commit/537ed75291ed8a640887f199f98e2e5076ef87b6
msg304622 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-10-19 17:25
New changeset ce9e62544571e7ade7186697d5dd065fb4c5243f by Łukasz Langa in branch 'master':
bpo-31457: Don't omit inner ``process()`` calls with nested LogAdapters (#4044)
https://github.com/python/cpython/commit/ce9e62544571e7ade7186697d5dd065fb4c5243f
msg304630 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-10-19 18:11
New changeset 4d9a8f22999de489ede9216ff983d4359d837760 by Mariatta (Miss Islington (bot)) in branch '3.6':
bpo-31457: Don't omit inner ``process()`` calls with nested LogAdapters (GH-4044) (GH-4050)
https://github.com/python/cpython/commit/4d9a8f22999de489ede9216ff983d4359d837760
msg315631 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2018-04-22 22:00
New changeset 26c289dd76ed07dbf37494bfa483c525f6828bd9 by Łukasz Langa (Miss Islington (bot)) in branch '3.6':
bpo-31457: Don't omit inner ``process()`` calls with nested LogAdapters (GH-4044) (#6568)
https://github.com/python/cpython/commit/26c289dd76ed07dbf37494bfa483c525f6828bd9
History
Date User Action Args
2018-04-22 22:00:33lukasz.langasetmessages: + msg315631
2018-04-22 21:52:38miss-islingtonsetpull_requests: + pull_request6265
2017-10-19 18:11:51Mariattasetnosy: + Mariatta
messages: + msg304630
2017-10-19 17:32:12python-devsetpull_requests: + pull_request4019
2017-10-19 17:25:01lukasz.langasetmessages: + msg304622
2017-10-19 02:10:44lukasz.langasetpull_requests: + pull_request4015
2017-10-19 01:03:01lukasz.langasetmessages: + msg304599
2017-10-19 00:30:13python-devsetpull_requests: + pull_request4014
2017-10-19 00:28:59lukasz.langasetmessages: + msg304598
2017-10-18 23:52:30lukasz.langasetpull_requests: + pull_request4013
2017-09-14 17:51:52lukasz.langasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-09-14 17:10:27lukasz.langasetmessages: + msg302182
2017-09-14 15:35:01python-devsetpull_requests: + pull_request3567
2017-09-14 15:34:48lukasz.langasetmessages: + msg302175
2017-09-13 20:36:00lukasz.langasetversions: + Python 3.6, Python 3.7
2017-09-13 20:35:24lukasz.langasetkeywords: + patch
pull_requests: + pull_request3544
2017-09-13 20:16:34lukasz.langasettitle: LoggerAdapter -> LoggerAdapter objects cannot be nested
2017-09-13 20:15:12lukasz.langacreate